<div class="edit-categories-sidebar-content">
    <div class="category-item">
        <h2 class="category-header">Categories</h2>
    </div>
    <div class="category-item" *ngFor="let cat of categories"
    (click)="ele.class = ele.class == 'showChildren' ? '' :  'showChildren'"
  [ngClass]="{ hideChildren : ele.class !== 'showChildren' }" #ele>
        {{ele.ngClass}}
        <div class="category-name">
            <h4>{{cat.name}}</h4>
        </div>
        <div class="subCategoryContainer">
            <div class="subCategoryItem" *ngFor="let subCat of cat.subCategories">
                <div class="sub-category-name">
                    <h5>{{subCat.name}}</h5>
                </div>
            </div>
        </div>
    </div>
</div>

<p>edit-categories-sidebar works!</p>